<div class="modal">
    <button type="button" class="close" (click)=closeModal()>
        <span aria-hidden="true">&times;</span>
    </button>
    <div class="all-in-one-table">

        <elastic-page-header [height]="'100px'" background="url(assets/img/demo/headers/pattern-3.png)"
            [reverse]="true">
        </elastic-page-header>
        <h1>Editar candado</h1>
        <div class="scroll">
            <mat-card>
                <form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="form-modal" fxLayout="column"
                    fxFlex="100%">
                    <div style="display: flex">
                        <h4>IMEI: <span>{{selectedLockInfo.imei}}</span></h4>
                    </div>
                    <div>
                        <mat-form-field fxFlex style="width: 48%; margin-right: 4%;">
                            <mat-label>MAC</mat-label>
                            <input matInput placeholder="Ingrese el mac del candado" formControlName="mac" type="text">
                            <mat-hint *ngIf="formGroup.controls.mac.touched || btnOnSubmit">
                                <div *ngIf="formGroup.controls.mac.errors" style="margin-top: -15px;">
                                    <p *ngIf="formGroup.controls.mac.errors.required" style="color: red">El campo es
                                        requerido</p>
                                </div>
                            </mat-hint>
                        </mat-form-field>
                        <mat-form-field fxFlex style="width: 48%">
                            <mat-label>QR</mat-label>
                            <input matInput placeholder="Ingrese el código qr del candado" formControlName="qrNumber"
                                type="text">
                            <mat-hint *ngIf="formGroup.controls.qrNumber.touched || btnOnSubmit">
                                <div *ngIf="formGroup.controls.qrNumber.errors" style="margin-top: -15px;">
                                    <p *ngIf="formGroup.controls.qrNumber.errors.required" style="color: red">El campo
                                        es requerido</p>
                                    <p *ngIf="formGroup.controls.qrNumber.errors.minlength" style="color: red">Debe agregar mínimo 5 caracteres</p>
                                </div>
                            </mat-hint>
                        </mat-form-field>
                    </div>
                    <div>
                        <mat-form-field fxFlex appearance="fill" style="width: 48%; margin-right: 4%;">
                            <mat-label>Número de sim</mat-label>
                            <input matInput placeholder="Ingrese el número sim del candado" formControlName="simNumber"
                                type="text">
                            <mat-hint *ngIf="formGroup.controls.simNumber.touched || btnOnSubmit">
                                <div *ngIf="formGroup.controls.simNumber.errors" style="margin-top: -15px;">
                                    <p *ngIf="formGroup.controls.simNumber.errors.required" style="color: red">El campo
                                        es requerido</p>
                                        <p *ngIf="formGroup.controls.simNumber.errors.minlength" style="color: red">Debe agregar minimo 10 caracteres</p>
                                </div>
                            </mat-hint>
                        </mat-form-field>
                        <mat-form-field appearance="fill" style="width: 48%">
                            <mat-label>Organización</mat-label>
                            <mat-select formControlName="organizationId">
                                <mat-option *ngFor="let organization of tableOrganizations" [value]="organization.id">
                                    {{organization.name}}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>
                    <div class="example-button-row">
                        <button mat-raised-button color="primary" (click)="closeModal()">Cancel</button>
                        <button class="marginButton" mat-raised-button color="primary" type="submit">Agregar</button>
                    </div>
                </form>
            </mat-card>
        </div>
    </div>
</div>